OpenTTD Source: SlVehicleRoadVeh Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Member Functions | Static Public Attributes
SlVehicleRoadVeh Class Reference
Inheritance diagram for SlVehicleRoadVeh:

## Public Member Functions
void | Save (Vehicle *v) const override
void | Load (Vehicle *v) const override
void | FixPointers (Vehicle *v) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlVehicleRoadVeh, Vehicle >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (Vehicle *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Member Functions
static void | ConvertPathCache (RoadVehicle &rv)

## Static Public Attributes
static std::vector< Trackdir > | rv_path_td
static std::vector< TileIndex > | rv_path_tile
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _vehicle_roadveh_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 841 of file vehicle_sl.cpp.

## Member Function Documentation

## ◆ ConvertPathCache()

static void SlVehicleRoadVeh::ConvertPathCache | ( | RoadVehicle & | rv | ) |
| inlinestatic

Definition at line 863 of file vehicle_sl.cpp.

## ◆ FixPointers()

void SlVehicleRoadVeh::FixPointers | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleRoadVeh, Vehicle >.

Definition at line 897 of file vehicle_sl.cpp.

## ◆ Load()

void SlVehicleRoadVeh::Load | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleRoadVeh, Vehicle >.

Definition at line 888 of file vehicle_sl.cpp.

## ◆ Save()

void SlVehicleRoadVeh::Save | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleRoadVeh, Vehicle >.

Definition at line 882 of file vehicle_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlVehicleRoadVeh::compat_description = _vehicle_roadveh_sl_compat
| inlinestatic

Definition at line 861 of file vehicle_sl.cpp.

## ◆ description

const SaveLoad SlVehicleRoadVeh::description[]
| inlinestatic

Initial value:
= {
SLEG_STRUCT("common", SlVehicleCommon),
SLE_VAR(RoadVehicle, state, SLE_UINT8),
SLE_VAR(RoadVehicle, frame, SLE_UINT8),
SLE_VAR(RoadVehicle, blocked_ctr, SLE_UINT16),
SLE_VAR(RoadVehicle, overtaking, SLE_UINT8),
SLE_VAR(RoadVehicle, overtaking_ctr, SLE_UINT8),
SLE_VAR(RoadVehicle, crashed_ctr, SLE_UINT16),
SLE_VAR(RoadVehicle, reverse_ctr, SLE_UINT8),
SLEG_CONDVECTOR("path.td", rv_path_td, SLE_UINT8, SLV_ROADVEH_PATH_CACHE, SLV_PATH_CACHE_FORMAT),
SLEG_CONDVECTOR("path.tile", rv_path_tile, SLE_UINT32, SLV_ROADVEH_PATH_CACHE, SLV_PATH_CACHE_FORMAT),
SLEG_CONDSTRUCTLIST("path", SlVehicleRoadVehPath, SLV_PATH_CACHE_FORMAT, SL_MAX_VERSION),
SLE_CONDVAR(RoadVehicle, gv_flags, SLE_UINT16, SLV_139, SL_MAX_VERSION),
}
SlVehicleCommon
Definition vehicle_sl.cpp:645
SlVehicleRoadVehPath
Definition vehicle_sl.cpp:830
SLEG_CONDVECTOR
#define SLEG_CONDVECTOR(name, variable, type, from, to)
Storage of a global vector of SL_VAR elements in some savegame versions.
Definition saveload.h:1184
SLEG_STRUCT
#define SLEG_STRUCT(name, handler)
Storage of a structs in every savegame version.
Definition saveload.h:1233
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition saveload.h:883
SLV_ROADVEH_PATH_CACHE
@ SLV_ROADVEH_PATH_CACHE
211 PR#7261 Add path cache for road vehicles.
Definition saveload.h:297
SLV_PATH_CACHE_FORMAT
@ SLV_PATH_CACHE_FORMAT
346 PR#12345 Vehicle path cache format changed.
Definition saveload.h:395
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:416
SLV_139
@ SLV_139
139 19346
Definition saveload.h:209
SLEG_CONDSTRUCTLIST
#define SLEG_CONDSTRUCTLIST(name, handler, from, to)
Storage of a list of structs in some savegame versions.
Definition saveload.h:1193
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
RoadVehicle
Buses, trucks and trams belong to this class.
Definition roadveh.h:98

Definition at line 847 of file vehicle_sl.cpp.

## ◆ rv_path_td

std::vector<Trackdir> SlVehicleRoadVeh::rv_path_td
| inlinestatic

Definition at line 844 of file vehicle_sl.cpp.

## ◆ rv_path_tile

std::vector<TileIndex> SlVehicleRoadVeh::rv_path_tile
| inlinestatic

Definition at line 845 of file vehicle_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/vehicle_sl.cpp